<?php
namespace Phppot;
require_once __DIR__.'/Common/Config.php';
?>
<html>
<title>Stripe Prebuilt Hosted Checkout</title>
<head>
<link href="css/style.css" type="text/css" rel="stylesheet" />
<script src="https://js.stripe.com/v3/"></script>
</head>
<body>
    <div class="phppot-container">
        <h1>Stripe Prebuilt Hosted Checkout</h1>
        <div id="payment-box">
            <img src="<?php echo Config::PRODUCT_IMAGE; ?>" />
            <h4 class="txt-title"><?php echo Config::PRODUCT_NAME; ?></h4>
            <div class="txt-price">$<?php echo Config::PRODUCT_PRICE; ?></div>
            <button id="checkout-button">Checkout</button>
        </div>
    </div>
    <script>
    var stripe = Stripe('<?php  echo Config::STRIPE_PUBLISHIABLE_KEY; ?>');
    var checkoutButton = document.getElementById('checkout-button');

    checkoutButton.addEventListener('click', function() {
      fetch('ajax-endpoint/create-checkout-session.php', {
        method: 'POST',
      })
      .then(function(response) {
        return response.json();
      })
      .then(function(session) {
        return stripe.redirectToCheckout({ sessionId: session.id });
      })
      .then(function(result) {
        if (result.error) {
          alert(result.error.message);
        }
      })
      .catch(function(error) {
        console.error('Error:', error);
      });
    });
    </script>
</body>
</html>